Bug 40690 - PCMCIA can't start
PCMCIA can't start
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i586 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-15 10:13 EDT by Robert Dehez
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-06 08:39:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Dehez 2001-05-15 10:13:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.7 [fr]C-CCK-MCD   (WinNT; I)

Description of problem:
I have a Toshiba 480 CDT laptop.
I've installed Red Hat 7.1 and when i boot the i have this message :
Starting PCMCIA : PCI: no IRQ known for interrupt pin A of device 00:02.0 Please try using pci=biosirq
PCI: no IRQ known for interrupt pin B of device 00:02.1 Please try using pci=biosirq.
It's impossible to do anithing after that : The PC is crashed.

How reproducible:
Always

Steps to Reproduce:
1.Start the PC
2.
3.
	

Actual Results:  Crash

Additional info:
Comment 1 Bill Nottingham 2001-05-15 12:07:26 EDT
Assigning to kernel.
Comment 2 Arjan van de Ven 2001-05-15 12:10:23 EDT
Did you try adding "bios=biosirq" at the lilo prompt ?
Comment 3 Robert Dehez 2001-05-17 08:27:51 EDT
I've resovlded the problem by changing bios (6.90 version) values :
I changed PC card controller mode : I turned it to PCIC Compatible instead of auto selected and now it works fine.

It's strange, i did not have this problem with the suse 6.2 ...
Comment 4 Arjan van de Ven 2001-05-17 08:30:48 EDT
Suse 6.2 (and older Red Hat versions) used the cardbus controller in a different
way. The "new" way makes it, in general :), much more reliable and faster for
things like networkcards. However it seems that your laptop didn't like that in
"auto" mode...

Note You need to log in before you can comment on or make changes to this bug.